Package org.optaplanner.core.config.heuristic.selector.move.factory

## Class MoveIteratorFactoryConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<Config_>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<Config_>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<MoveIteratorFactoryConfig>
      - - org.optaplanner.core.config.heuristic.selector.move.factory.MoveIteratorFactoryConfig

-     public class MoveIteratorFactoryConfig
      extends MoveSelectorConfig<MoveIteratorFactoryConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Class<? extends MoveIteratorFactory>` | `moveIteratorFactoryClass` |
    `protected Map<String,​String>` | `moveIteratorFactoryCustomProperties` |
    `static String` | `XML_ELEMENT_NAME` |

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClass, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MoveIteratorFactoryConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MoveIteratorFactoryConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `Class<? extends MoveIteratorFactory>` | `getMoveIteratorFactoryClass()` |
    `Map<String,​String>` | `getMoveIteratorFactoryCustomProperties()` |
    `MoveIteratorFactoryConfig` | `inherit​(MoveIteratorFactoryConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setMoveIteratorFactoryClass​(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)` |
    `void` | `setMoveIteratorFactoryCustomProperties​(Map<String,​String> moveIteratorFactoryCustomProperties)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClass, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, setCacheType, setFilterClass, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClass, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XML_ELEMENT_NAME

          public static final String XML_ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### moveIteratorFactoryClass

          protected Class<? extends MoveIteratorFactory> moveIteratorFactoryClass

    - #### moveIteratorFactoryCustomProperties

          protected Map<String,​String> moveIteratorFactoryCustomProperties

  - ### Constructor Detail

    - #### MoveIteratorFactoryConfig

          public MoveIteratorFactoryConfig()

  - ### Method Detail

    - #### getMoveIteratorFactoryClass

          public Class<? extends MoveIteratorFactory> getMoveIteratorFactoryClass()

    - #### setMoveIteratorFactoryClass

          public void setMoveIteratorFactoryClass​(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)

    - #### getMoveIteratorFactoryCustomProperties

          public Map<String,​String> getMoveIteratorFactoryCustomProperties()

    - #### setMoveIteratorFactoryCustomProperties

          public void setMoveIteratorFactoryCustomProperties​(Map<String,​String> moveIteratorFactoryCustomProperties)

    - #### inherit

          public MoveIteratorFactoryConfig inherit​(MoveIteratorFactoryConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `MoveSelectorConfig<MoveIteratorFactoryConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public MoveIteratorFactoryConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<MoveIteratorFactoryConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<MoveIteratorFactoryConfig>`